Bug 167863 - Review Request: gpp - gnome-photo-printer
Review Request: gpp - gnome-photo-printer
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
David Lawrence
http://domsch.com/linux/fedora/extras...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-09-08 21:15 EDT by Matt Domsch
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.5-2.fc3 and .fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-10 23:06:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt Domsch 2005-09-08 21:15:19 EDT
Spec Name or Url: http://domsch.com/linux/fedora/extras/gpp/gpp.spec
SRPM Name or Url: http://domsch.com/linux/fedora/extras/gpp/gpp-0.6.5-1.fc4.src.rpm
Description:

Gnome Photo Printer is intended for printing photos in an easy way.
Just drag your Photos from Nautilus to the Gnome Photo Printer window
and drop it.  Make some selections like Photo or Paper size, hit Preview
or  Print , and see your pictures printed.
Comment 1 Gérard Milmeister 2005-09-10 15:07:32 EDT
- in the description there are a few too many spaces, e.g., "or  Print ,"
- in the desktop file, use printer.png instead of full path; better yet would
  be a new icon, because the printer.png icon is pretty generic; maybe
  you concoct something from a printer icon and a photo icon
- in the desktop file, name should be "Gnome Photo Printer" or simply
  "Photo Printer" or simply "Print Photos"; I prefer the second, so
  there is no issue with "Gnome" and "GNOME" :-)
- in the desktop file, why is StartupNotify false? it seems to work with true
- rpmlint is completely satisfied
Comment 2 Matt Domsch 2005-09-12 00:55:43 EDT
Thanks for the review.  I fixed the description (the extra spaces are present in
the original package's description), removed the full path to printer.png,
changed .desktop Name="Photo Printer" and StartupNotify=true.  New RPMs and spec
posted to the same location.

I did not create a new icon, as *any* existing icon would be better than what I
could create myself.  If someone wishes to create an icon for this package, I'll
be happy to add it later.

The example .desktop file in http://fedoraproject.org/wiki/PackagingGuidelines
has StartupNotify=false.  Perhaps this should be changed?
Comment 3 Gérard Milmeister 2005-09-12 14:21:30 EDT
(In reply to comment #2)
> The example .desktop file in http://fedoraproject.org/wiki/PackagingGuidelines
> has StartupNotify=false.  Perhaps this should be changed?

This is a safe default. For regular GNOME apps StartupNotify=true works.
For KDE apps I don't know.
Comment 4 Gérard Milmeister 2005-09-12 16:23:21 EDT
APPROVED
Comment 5 Matt Domsch 2005-11-10 23:06:35 EST
Committed to cvs and building now for FC3 and FC4.  Closing.

Note You need to log in before you can comment on or make changes to this bug.